<table class="ocupacion2" align="center">
<tr><td colspan="3"><h2>Ingreso x dia</h2></td></tr>
<tr>
<th>Dia</th>
<th>Ingreso en Pesos</th>
<th>Ingreso en Dolares</th>
</tr>
<?
function fechacorta($f)
{
list($anio,$mes,$dia)=explode("-",$f);
$me=array("","ENE","FEB","MAR","ABR","MAY","JUN","JUL","AGO","SEP","OCT","NOV","DIC");
$mes++;$mes--;
$return=$me["$mes"]."-".$dia;
return($return);
}
require("../conectar.php");
//$fi=$_GET["fechaini"];
//$ff=$_GET["fechafin"];
$concepto=0;$x=0;$cantidad=0;$pes=0;$usds=0;$total=0;$pestot=0;$usdtot=0;
function dias($fecha_i,$fecha_f)
{
	$dias	= (strtotime($fecha_i)-strtotime($fecha_f))/86400;
	$dias 	= abs($dias); $dias = floor($dias);		
	return $dias;
}


$fechainc=$fi;
$numerodias=dias($fi,$ff);
for($x=0;$x<=$numerodias;$x++)
{

$sql="SELECT p.fecha, sum(p.monto) as mon, sum(p.monto*p.divisa) as moncon, p.tipo_moneda 
FROM conceptos as c 
INNER JOIN pagos as p ON p.id_concepto=c.id_concepto 
WHERE p.concepto IN('RENTA','SEGUIMIENTO') AND (p.fecha='$fechainc') AND p.valadmon='s' GROUP BY tipo_moneda, p.fecha order by fecha ASC";
$query=mysql_query($sql);
$pes=0;$usds=0;$concepto=$fechainc;
while($usd=mysql_fetch_array($query))
{

if($usd["tipo_moneda"]=="USD"){$usds=$usd["mon"]+$usds;$total=$total+$usd["moncon"]; } 
if($usd["tipo_moneda"]=="MXN"){$pes=$usd["mon"]+$pes;$total=$total+$usd["mon"]; } 
			$usdtot=$usds+$usdtot;
			$pestot=$pes+$pestot;
}?>
		<tr>
	<td><font align="right"><?echo fechacorta($concepto);?><input type="hidden" name="concepto<?echo$x?>" id="concepto<?echo$x?>" value="<?echo$concepto?>" ></td>
	<td><font align="right"><?echo moneda($pes);?><input type="hidden" name="pes<?echo$x?>" id="pes<?echo$x?>" value="<?echo$pes?>" ></td>
	<td><font align="right"><?echo moneda($usds);?><input type="hidden" name="usds<?echo$x?>" id="usds<?echo$x?>" value="<?echo$usds?>" ></td>
		</tr>
			<?$dias=$dias.",^".fechacorta($concepto)."^";$usdxd=$usdxd.",".$usds;$pesosxd=$pesosxd.",".$pes;
			$rr=strtotime ( '+1 day' , strtotime ( $fechainc ) ) ;
			$fechainc = date ( 'Y-m-d' , $rr );
			}
			
			$d=strlen($dias);$d=$d-1;$d=substr($dias,-$d);$ixd=strlen($usdxd);$ixd=$ixd-1;$ingresoxdiausd=substr($usdxd,-$ixd);$ixdusd=strlen($pesosxd);$ixdusd=$ixdusd-1;$ingresoxdiamxn=substr($pesosxd,-$ixdusd);$ingxd="{name:^INGRESOS USD^,data:[$ingresoxdiausd]},{name:^INGRESOS MXN^,data:[$ingresoxdiamxn]}";
?>
<tr>
<td>Total</td>
<td ><?echo moneda($pestot);?><input type="hidden" name="pestot" id="pestot" value="<?echo$pestot?>" ></td>
<td ><?echo moneda($usdtot);?><input type="hidden" name="usdtot" id="usdtot" value="<?echo$usdtot?>" ></td>
</tr>
<tr>
<th>Gran Total</th>
<th><?echo "MXN ".moneda($total);?><input type="hidden" name="pestot" id="pestot" value="<?echo$total?>" ></td>
<td></td>
</tr>
</table>
<?
 $va=$ingxd;
 $me=$d;
 $val=str_replace("^", "'", $va);
 $meses=str_replace("^", "'", $me);
?>
<br>

<br>
		<script type="text/javascript">
			var chart;
			$(document).ready(function() {
				chart = new Highcharts.Chart({
					chart: {
						renderTo: 'container6',
						defaultSeriesType: 'line',
						marginRight: 200,
						marginBottom: 50
					},
					title: {
						text: 'INGRESOS X DIA',
						x: -20 //center
					},
					subtitle: {
						text: 'Mexico en renta',
						x: -20
					},
					xAxis: {
						categories: [<?echo $meses;?>]
					},
					yAxis: {
						title: {
							text: 'Cantidad'
						},labels: {
								formatter: function() {
									return Math.round(this.value);
								}},
						plotLines: [{
							value: 0,
							width: 1,
							color: '#808080'
						}]
					},
					tooltip: {
						formatter: function() {
				                return '<b>'+ this.series.name +'</b><br/>'+
								this.x +': '+ this.y;
						}
					},
					plotOptions: {
						line: {
							dataLabels: {
								enabled: true
							}
						}
					}
					,
					legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: -10,
						y: 100,
						borderWidth: 1
					},
					series: [<?echo $val;?>],
				});
				
				
			});
				
		</script>
		<div id="container6" style="width: 1000px; height: 300px; margin: 0 auto"></div>